Tipask3.0 web方式安装教程 —— 安装报错求教

Fatal error: During inheritance of ArrayAccess: Uncaught TypeError: Unsupported operand types: int & string in /datafs/nginx/nginx/html/tipask/vendor/sdfsky/tipask-xunsearch/xunsearch-sdk/lib/XS.php:551 Stack trace: #0 /datafs/nginx/nginx/html/tipask/vendor/sdfsky/tipask-xunsearch/xunsearch-sdk/lib/XS.php(557): xsErrorHandler(8192, 'Return type of ...', '/datafs/nginx/n...', 704) #1 /datafs/nginx/nginx/html/tipask/vendor/composer/autoload_real.php(69): require('/datafs/nginx/n...') #2 /datafs/nginx/nginx/html/tipask/vendor/composer/autoload_real.php(59): composerRequire40126fb4b4b14c1e2ef48bd213350b51('551d285059519a9...', '/datafs/nginx/n...') #3 /datafs/nginx/nginx/html/tipask/vendor/autoload.php(7): ComposerAutoloaderInit40126fb4b4b14c1e2ef48bd213350b51::getLoader() #4 /datafs/nginx/nginx/html/tipask/public/index.php(24): require('/datafs/nginx/n...') #5 {main} in /datafs/nginx/nginx/html/tipask/vendor/sdfsky/tipask-xunsearch/xunsearch-sdk/lib/XS.php on line 557


nginx1.20.2;php8.1.5;是版本太高么


请先 登录 后评论

1 个回答

宋登峰 - 官方技术支持
擅长:tipask,php,服务器,网站建设

是的,应该是版本太高。请用7.2.x版本。

我们的4.0基于laravel9 lts版本后面也快发布了,到时支持8.x版本。

请先 登录 后评论